import sys
import logging

# bug fix:
from pdb import Pdb; Pdb(skip=['importlib*']).set_trace()

from PyQt5 import QtWidgets as qtw
from PyQt5 import QtGui as qtg
from PyQt5 import QtCore as qtc
from PyQt5 import QtSql as qts

from datasource import DBSetup

logging.basicConfig(level=logging.DEBUG, filename='activitytypes.log')

#logging.debug('running DBSetup')
#dbs.db

        
class ATWindow(qtw.QMainWindow):

    def __init__(self):
        super().__init__()

        # Model/View here.
        table_name = 'activitytypes'
        act_tbl = DBSetup()
        self.setWindowTitle(f'{act_tbl.db.databaseName()} - {table_name}')
        logging.debug('Defining model/view')
        self.model = qts.QSqlTableModel()
        self.model.setTable(table_name)
        self.model.select()
        model_error = self.model.lastError()
        if model_error.isValid(): # i.e. there is an error
            logging.debug(f"model error: {model_error.text()}")
        else:
            logging.debug("no model error")

        self.table = qtw.QTableView()
        breakpoint()
        self.table.setModel(self.model)
        self.setMinimumSize(qtc.QSize(800, 600))
        self.setCentralWidget(self.table)

        
if __name__ == '__main__':
    app = qtw.QApplication(sys.argv)
    window = ATWindow()
    window.show()
    #sys.exit(app.exec())
    app.exec_()

logging.debug("End of Program")
    
    
